Package org.lwjgl.opengl

# Class ATITextureFloat

java.lang.Object
org.lwjgl.opengl.ATITextureFloat

public final class ATITextureFloat extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALPHA_FLOAT16_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA_FLOAT32_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_INTENSITY_FLOAT16_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_INTENSITY_FLOAT32_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE_ALPHA_FLOAT16_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE_ALPHA_FLOAT32_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE_FLOAT16_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE_FLOAT32_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB_FLOAT16_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB_FLOAT32_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA_FLOAT16_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA_FLOAT32_ATI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_RGBA_FLOAT32_ATI

public static final int GL_RGBA_FLOAT32_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB_FLOAT32_ATI

public static final int GL_RGB_FLOAT32_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA_FLOAT32_ATI

public static final int GL_ALPHA_FLOAT32_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_INTENSITY_FLOAT32_ATI

public static final int GL_INTENSITY_FLOAT32_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE_FLOAT32_ATI

public static final int GL_LUMINANCE_FLOAT32_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT32_ATI

public static final int GL_LUMINANCE_ALPHA_FLOAT32_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA_FLOAT16_ATI

public static final int GL_RGBA_FLOAT16_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB_FLOAT16_ATI

public static final int GL_RGB_FLOAT16_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA_FLOAT16_ATI

public static final int GL_ALPHA_FLOAT16_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_INTENSITY_FLOAT16_ATI

public static final int GL_INTENSITY_FLOAT16_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE_FLOAT16_ATI

public static final int GL_LUMINANCE_FLOAT16_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT16_ATI

public static final int GL_LUMINANCE_ALPHA_FLOAT16_ATI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values